#!/usr/local/bin/perl

($#ARGV == 0) or die "Usage: $0 [directory]\n"; 

use File::Find;
    
find(sub {$size{$File::Find::name} = -s if -f;}, @ARGV);
@sorted = sort {$size{$b} <=> $size{$a}} keys %size;
    
splice @sorted, 20 if @sorted > 20;
    
foreach (@sorted) 
{
    printf "%10d %s\n", $size{$_}, $_;
}
