#!/bin/bash
# This script does a very simple test for checking disk space.
space=`df -h | gawk 'NR > 1 { print $5 }' | sort -n | tail -1`
case $space in
[0-6]*)
echo "All is quiet."
;;
[7-8]*)
echo "Start thinking about cleaning out some stuff. There's a partition
that is $space full."
;;
9[1-8])
echo "Better hurry with that new disk... One partition is $space full."
;;
99)
echo "I'm drowning here! There's a partition at $space !"
;;
*)
echo "I seem to be running with an nonexistent amount of disk space..."
;;
esac

